#ifndef TILE_BASE_CONFIG_H_IN
#define TILE_BASE_CONFIG_H_IN

#pragma once

// clang-format off
#cmakedefine01 TILE_HAVE_GETIFADDRS
#cmakedefine01 TILE_HAVE_FREEIFADDRS

#define TILE_GIT_COMMIT_HASH @GIT_COMMIT_HASH@
#define TILE_GIT_COMMIT_DATE @GIT_COMMIT_DATE@
#define TILE_GIT_COMMIT_SUBJECT @GIT_COMMIT_SUBJECT@

#define TILE_CXX_COMPLIER_ID "@CMAKE_CXX_COMPILER_ID@"
#define TILE_CXX_COMPLIER_VERSION "@CMAKE_CXX_COMPILER_VERSION@"
#define TILE_CXX_STANDARD "@CMAKE_CXX_STANDARD@"
#define TILE_CXX_FLAGS "@CMAKE_CXX_FLAGS@"
#define TILE_BUILD_TYPE "@CMAKE_BUILD_TYPE@"

#define TILE_SYSTEM_PROCESSOR "@CMAKE_SYSTEM_PROCESSOR@"
#define TILE_SYSTEM_NAME "@CMAKE_SYSTEM_NAME@"
#define TILE_SYSTEM_VERSION "@CMAKE_SYSTEM_VERSION@"
#define TILE_VERSION "@TILE_VERSION@"

// clang-format on

#endif // TILE_BASE_CONFIG_H_IN
